ant-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Steve Loughran <stev...@iseran.com>
Subject Re: can't build ant 1.6
Date Tue, 02 Sep 2003 04:04:02 GMT
Steve Cohen wrote:

> I've received no replies to this, so let me try again with a little more information.
 Previous versions of build.sh (or build.bat)  contained this sequence:
> 
> LOCALCLASSPATH=lib/xercesImpl.jar:lib/xml-apis.jar:bootstrap/lib/ant.jar
> # add in the dependency .jar files
> DIRLIBS=lib/optional/*.jar
> for i in ${DIRLIBS}
> do
>     if [ "$i" != "${DIRLIBS}" ] ; then
>         LOCALCLASSPATH=$LOCALCLASSPATH:"$i"
>     fi
> done
> 
> In the current version, it is like this:
> 
> LOCALCLASSPATH=
> # add in the dependency .jar files
> DIRLIBS=lib/optional/*.jar
> for i in ${DIRLIBS}
> do
>     if [ "$i" != "${DIRLIBS}" ] ; then
>         LOCALCLASSPATH=$LOCALCLASSPATH:"$i"
>     fi
> done
> 
> The difference is that LOCALCLASSPATH is no longer being preset with xercesImpl.jar and
xml-apis.jar before the optional directory is scanned.
> The absence of these jars from the classpath was what led to the failures below.  Getting
them onto the classpath solved the problem.  
> 
> But is this a bug?  Or is it an undocumented requirement that ant be built in an environment
that has these or other such jars on the classpath?  Or is it a documented requirement and
I've just been unable to find the documentation?

I have seen something like this running build.sh on unix; it may be an 
effect of how we have recently changed the bootloader.

What java version are you running?


---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@ant.apache.org
For additional commands, e-mail: dev-help@ant.apache.org


Mime
View raw message